package cn.com.ctop.notice.handle;

import cn.com.ctop.common.module.mapper.MailLogMapper;
import cn.com.ctop.common.module.service.ISendMessageService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Slf4j
@Service
public class SendWeChatHandle {

    @Autowired
    MailLogMapper mailLogMapper;
    @Autowired
    ISendMessageService sendMessageService;

    public boolean SendWeChatByMail(String mail,String message){
        boolean result=true;
        String weChatId=mailLogMapper.getWeChatByMail(mail);
        if(weChatId.isEmpty()){
            log.error("mail's wechat not found. mail =%s", mail);
            //TODO 通知管理员添加邮箱
            result=false;
        }else{
            sendMessageService.sendMessage(weChatId,message);
        }
        return result;
    }
}
